Name:		hitori
Version:	0.3.1
Release:	1%{?dist}
Summary:	Logic puzzle game for GNOME
Summary(de):	Logikpuzzle für GNOME

Group:		Amusements/Games
# The executable is licensed under GPLv3+, while the user manual is CC-BY-SA.
License:	GPLv3+ and CC-BY-SA
URL:		http://live.gnome.org/Hitori
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.3/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk3-devel
BuildRequires:	intltool

Requires:	hicolor-icon-theme

%description
A small application written to allow one to play the Hitori puzzle game,
which is similar in theme to more popular puzzles such as Sudoku.

It depends on GTK+ 2.13 and Cairo 1.4, and has full support for playing the
game (i.e. it checks all three rules are satisfied). It has undo/redo support,
can give hints, and allows for cells to be tagged with one of two different
tags, to aid in solving the puzzle. It has support for anything from
5×5 to 10×10 grids.

%description -l de
Ein kleines Programm zum Spielen des Hitori-Puzzles, das thematisch
populäreren Puzzlespielen wie beispielsweise Sudoku ähnelt.

Das Programm basiert auf GTK+ 2.13 und Cairo 1.4 und unterstützt die
Spielregeln vollständig. Es wird in jedem Fall überprüft, ob die drei
Ausschlussregeln angewendet sind. Das Zurücknehmen und Wiederholen von Zügen
ist ebenso möglich wie das Kennzeichnen von Feldern mit einer oder mehreren
Markierungen, um den Weg zur Lösung zu erleichtern. Mögliche Spielfeldgrößen
reichen von 5x5 bis hin zu 10x10 Feldern. 

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%%doc AUTHORS ChangeLog COPYING COPYING-DOCS MAINTAINERS NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/%{name}/
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/%{name}.ui
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png


%changelog

* Sun Jun 19 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.3.1-1
- New upstream version
- Fixes GNOME bug #652399 (l10n doesn't work)

* Sun Jun 12 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.3.0-1
- New upstream version

* Fri Feb 18 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.2.6-3
- Changed native English and German description
- Added ChangeLog to %%doc

* Tue Feb 15 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.2.6-2
- Added German summary and description

* Sat Jan 30 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.2.6-1
- Bumped version to 0.2.6
- Added COPYING-DOCS again, see GNOME upstream bug #640905

* Sat Jan 29 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.2.5-4
- some fixes to licensing
- moved icon cache macros to their right places
- revamped file list

* Sat Jan 29 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.2.5-3
- locale dir dropped from filelist
- changed license according to the mixed usage of licenses for executables
  and docs
- added macros for updating the icon cache
- dropped COPYING-DOCS from filelist because it is obsolete

* Tue Jan 25 2011 Mario Blättermann <mariobl@fedoraproject.org> 0.2.5-2
- added find_lang macro
- changed summary and description
- changed group
- added desktop file handling
- added new Requires and BuildRequires

* Thu Nov 07 2010 Mario Blättermann <mariobl@fedoraproject.org> 0.2.5-1
- initial package
